# Uses of Class
org.apache.lucene.store.AlreadyClosedException

Packages that use AlreadyClosedException
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.store
Binary i/o API, used for all index data.

- ## Uses of AlreadyClosedException in org.apache.lucene.index

  Methods in org.apache.lucene.index that throw AlreadyClosedException
  Modifier and Type
  Method
  Description
  `protected final void`
  IndexReader.`ensureOpen()`
  Throws AlreadyClosedException if this IndexReader or any of its child readers is closed, otherwise returns.
  `protected final void`
  IndexWriter.`ensureOpen()`
  Used internally to throw an `AlreadyClosedException` if this IndexWriter has been closed (`closed=true`) or is in the process of closing (`closing=true`).
  `protected final void`
  IndexWriter.`ensureOpen(boolean failIfClosing)`
  Used internally to throw an `AlreadyClosedException` if this IndexWriter has been closed or is in the process of closing.

- ## Uses of AlreadyClosedException in org.apache.lucene.store

  Methods in org.apache.lucene.store that throw AlreadyClosedException
  Modifier and Type
  Method
  Description
  `protected final void`
  BaseDirectory.`ensureOpen()`
  `protected void`
  Directory.`ensureOpen()`
  Ensures this directory is still open.
  `protected void`
  FilterDirectory.`ensureOpen()`